import React from 'react';
import Assets from '@src/components/Assets';
import './index.less';
import Button from '../Button';

function Continue(props) {
  const { date, data } = props;
  console.log(date, data);
  return (
    <div className="continue">
      <div className="body">
        <div className="left">
          <div className="text">上次做题</div>
          <div className="date">2019-04-29 16:30</div>
        </div>
        <div className="center">
          <div className="text">OG18综合 第60-80题 80%</div>
          <div className="list">
            <Button radius theme="border" size="small">
              <Assets name="ico_24_continue" svg />
              Continue
            </Button>
            <Button radius theme="border" size="small">
              <Assets name="ico_24_restart" svg />
              Restart
            </Button>
            <Button radius theme="border" size="small">
              <Assets name="ico_24_next" svg />
              Next
            </Button>
          </div>
        </div>
        <div className="right">
          <Assets name="right" svg />
        </div>
      </div>
    </div>
  );
}
Continue.propTypes = {};
export default Continue;
