import React from 'react';
import './index.less';
import Assets from '@src/components/Assets';
import { Tooltip } from 'antd';

function IconButton(props) {
  const { className, type, tip } = props;
  return (
    <Tooltip placement="top" title={tip}>
      <div className={`icon-button ${className}`}>
        <Assets name={`ico_24_${type}`} svg />
      </div>
    </Tooltip>
  );
}
IconButton.propTypes = {};
export default IconButton;
