import React from 'react';
import { Link } from 'react-router-dom';
import Page from '../../containers/Page';
import Block from '../../components/Block';
import './index.less';
import emptyImg from '../../assets/img_1.svg';

export default class extends Page {
  renderView() {
    return (
      <Block full center color="none">
        <img className="image" src={emptyImg} />
        <h3>抱歉，你访问的页面不存在</h3>
        <Link to="/">返回首页</Link>
      </Block>
    );
  }
}
