export const POST = 'post';
export const GET = 'get';
export const PUT = 'put';
export const DELETE = 'delete';
export const FORM = 'formData';
export const UPLOAD = 'formField';

export const STORE_REPLACE = '@REPLACE';
export const STORE_UPDATE = '@UPDATE';
export const STORE_LOADING = '@LOADING';
export const STORE_LOADED = '@LOADED';

export const FORM_LAYOUT = '@src/layouts/FormLayout';

export const QuestionDifficult = [{ label: 'easy', value: 'easy' }, { label: 'medium', value: 'medium' }, { label: 'hard', value: 'hard' }];

export const QuestionType = [{ label: 'SC/语法', value: 'sc' }, { label: 'RC/阅读', value: 'rc' }, { label: 'CR/逻辑', value: 'cr' }, { label: 'PS/数学', value: 'ps' }, { label: 'AWA/作文', value: 'awa' }];

export const MoneyRange = [{ label: '0', value: 0 }, { label: '1-1000', value: 1 }, { label: '1000-5000', value: 2 }, { label: '5000-10000', value: 3 }, { label: '10000以上', value: 4 }];

export const AskTarget = [{ label: '题目', value: 'question' }, { label: '官方', value: 'official' }, { label: '千行解析', value: 'qx' }, { label: '题源联想', value: 'association' }];

export const PreviewStatus = [{ label: '全部', value: 0 }, { label: '未开始', value: 1 }, { label: '进行中', value: 2 }, { label: '已结束', value: 3 }];
