package com.qxgmat.dto.admin.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.Manager;
import com.qxgmat.data.dao.entity.User;

import javax.validation.constraints.NotEmpty;

@Dto(entity = Manager.class)
public class ManagerDto {

    private Integer id;

    @NotEmpty(message = "用户名不能为空！")
    private String username;

    @NotEmpty(message = "密码不能为空！")
    private String password;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
