import React from 'react';
import './index.less';
import Progress from '../Progress';

function ProgressText(props) {
  const { progress, size } = props;
  return (
    <div className="progress-text">
      <div className="p">
        <Progress progress={progress} size={size} />
      </div>
      <div className="t">{progress}%</div>
    </div>
  );
}
ProgressText.propTypes = {};
export default ProgressText;
