import React from 'react';
import { Link } from 'react-router-dom';
import Page from '../../containers/Page';
import Block from '../../components/Block';
import './index.less';
import powerImg from '../../assets/img_3.svg';

export default class extends Page {
  renderView() {
    return (
      <Block full center color="none">
        <img className="image" src={powerImg} />
        <h3>抱歉，你没有权限访问该页面</h3>
        <Link to="/">返回首页</Link>
      </Block>
    );
  }
}
