package com.qxgmat.dto.admin.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserReport;
import com.qxgmat.dto.admin.extend.HomeworkPreviewExtendDto;
import com.qxgmat.dto.admin.extend.UserExtendDto;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

@Dto(entity = UserReport.class)
public class UserHomeworkPreviewListDto {

    private Integer id;

    private UserExtendDto user;

    private HomeworkPreviewExtendDto preview;

    private Integer totalNumber;

    private Integer userNumber;

    private Integer correctNumber;

    private Integer totalTime;

    private Integer userTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public UserExtendDto getUser() {
        return user;
    }

    public void setUser(UserExtendDto user) {
        this.user = user;
    }

    public HomeworkPreviewExtendDto getPreview() {
        return preview;
    }

    public void setPreview(HomeworkPreviewExtendDto preview) {
        this.preview = preview;
    }

    public Integer getTotalNumber() {
        return totalNumber;
    }

    public void setTotalNumber(Integer totalNumber) {
        this.totalNumber = totalNumber;
    }

    public Integer getUserNumber() {
        return userNumber;
    }

    public void setUserNumber(Integer userNumber) {
        this.userNumber = userNumber;
    }

    public Integer getCorrectNumber() {
        return correctNumber;
    }

    public void setCorrectNumber(Integer correctNumber) {
        this.correctNumber = correctNumber;
    }

    public Integer getTotalTime() {
        return totalTime;
    }

    public void setTotalTime(Integer totalTime) {
        this.totalTime = totalTime;
    }

    public Integer getUserTime() {
        return userTime;
    }

    public void setUserTime(Integer userTime) {
        this.userTime = userTime;
    }
}
