package com.nuliji.tools.mybatis.handler;

import com.fasterxml.jackson.databind.ObjectMapper;
import org.apache.ibatis.type.JdbcType;
import org.apache.ibatis.type.MappedJdbcTypes;
import org.apache.ibatis.type.MappedTypes;

@MappedTypes(Integer[].class)
@MappedJdbcTypes({JdbcType.LONGVARCHAR, JdbcType.VARCHAR})
public class IntegerArrayWithJsonHandler extends NativeJsonHandler<Integer[]> {
    public IntegerArrayWithJsonHandler() {
        super(Integer[].class);
    }
}